Package rdkit :: Package Chem :: Module Fragments

[hide private]
[frames] | no frames]

# Module Fragments

source code

    functions to match a bunch of fragment descriptors from a file

    No user-servicable parts inside.  ;-)

Functions | [hide private]

_CountMatches(mol, patt, unique=True) | source code

_LoadPatterns(fileName=None) | source code

Variables | [hide private]

| defaultPatternFileName = `os.path.join(RDConfig.RDDataDir, 'Fra`...``
| fns = `[]`
| fn = `None` hash(x)

Imports: os, RDConfig, Chem

Variables Details | [hide private]

### defaultPatternFileName

Value:

      os.path.join(RDConfig.RDDataDir, 'FragmentDescriptors.csv')